
/*-----------------------------------*\
  #style.css
\*-----------------------------------*/

/**
 * copyright 2022 @codewithsadee 
 */

/*-----------------------------------*\
  #CUSTOM PROPERTY
\*-----------------------------------*/

:root {
    /**
     * colors
     */
  
    --spanish-gray: hsl(0, 0%, 60%);
    --sonic-silver: hsl(0, 0%, 47%);
    --eerie-black: hsl(0, 0%, 13%);
    --salmon-pink: hsl(234, 100%, 57%);
    --sandy-brown: hsl(29, 90%, 65%);
    --bittersweet: hsl(234, 100%, 57%);
    --ocean-green: hsl(152, 51%, 52%);
    --camaleon-green: hsl(152, 100%, 50%);
    --davys-gray: hsl(0, 0%, 33%);
    --cultured: hsl(0, 0%, 93%);
    --white: hsl(0, 100%, 100%);
    --onyx: hsl(0, 0%, 27%);
    --modal: hsl(0, 0%, 100%);
    --sky-blue: hsl(234, 100%, 57%);
    --redragon: hsl(0, 100%, 50%);
    /**
     * typography
     */
  
    --fs-1: 1.563rem;
    --fs-2: 1.375rem;
    --fs-3: 1.25rem;
    --fs-4: 1.125rem;
    --fs-5: 1rem;
    --fs-6: 0.938rem;
    --fs-7: 0.875rem;
    --fs-8: 0.813rem;
    --fs-9: 0.75rem;
    --fs-10: 0.688rem;
    --fs-11: 0.625rem;
  
    --weight-300: 300;
    --weight-400: 400;
    --weight-500: 500;
    --weight-600: 600;
    --weight-700: 700;
  
    /**
     * border-radius
     */
  
    --border-radius-md: 10px;
    --border-radius-sm: 5px;
  
    /**
     * transition 
     */
  
    --transition-timing: 0.2s ease;
  }
  
  
  .color{
    color: black;
  
  }
  
  
  
  /*-----------------------------------*\
    #RESET
  \*-----------------------------------*/
  
  
  
  *,
  *::before,
  *::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  a {
    text-decoration: none;
  }
  
  li {
    list-style: none;
  }
  
  button {
    background: none;
    font: inherit;
    border: none;
    cursor: pointer;
    list-style: none;
  }
  
  img,
  ion-icon,
  button,
  a {
    display: block;
  }
  
  span {
    display: inline-block;
  }
  
  html {
    font-family: "Poppins", sans-serif;
    overscroll-behavior: contain;
  }
  
 
  
  input::placeholder {
    font: inherit;
  }
  
  body {
    background: var(--white);
  }
  
  
  
  
  /**
   * scrollbar style
   */
  
  body::-webkit-scrollbar {
    width: 15px;
  }
  
  body::-webkit-scrollbar-track {
    background: var(--white);
    border-left: 1px solid var(--cultured);
  }
  
  body::-webkit-scrollbar-thumb {
    background: hsl(0, 0%, 80%);
    border: 3px solid var(--white);
    border-radius: 10px;
  }
  
  body::-webkit-scrollbar-thumb:hover {
    background: hsl(0, 0%, 70%);
  }
  
  
  
  
  
  /*-----------------------------------*\
    #REUSED STYLE
  \*-----------------------------------*/
  
  .container {
    padding: 0 15px;
  }
  
  .has-scrollbar {
    padding-bottom: 5px;
  }
  
  .has-scrollbar::-webkit-scrollbar {
    width: 12px; /* for vertical scroll */
    height: 12px; /* for horizontal scroll */
  }
  
  .has-scrollbar::-webkit-scrollbar-thumb {
    background: transparent;
    border: 3px solid var(--white);
    border-radius: 20px;
  }
  
  .has-scrollbar:hover::-webkit-scrollbar-thumb {
    background: hsl(0, 0%, 90%);
  }
  
  .has-scrollbar::-webkit-scrollbar-thumb:hover {
    background: hsl(0, 0%, 80%);
  }
  
  .title {
    color: var(--eerie-black);
    font-size: var(--fs-3);
    font-weight: var(--weight-600);
    letter-spacing: 0.4px;
    text-transform: capitalize;
    padding-bottom: 10px;
    border-bottom: 1px solid var(--cultured);
    margin-bottom: 30px;
    justify-content: center;
    align-items: center;
  }
  
  
  
  
  
  
  
  
  
  
  /*-----------------------------------*\
    #MAIN
  \*-----------------------------------*/
  
  /**
   * overlay 
   */
  
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: hsla(0, 0%, 0%, 0.5);
    opacity: 0;
    pointer-events: none;
    z-index: 15;
    transition: 0.5s ease;
  }
  
  .overlay.active {
    opacity: 1;
    pointer-events: all;
  }
  
  
  
  
  
  
  /**
   * MODAL 
   */
  
  .modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    opacity: 0;
    visibility: hidden;
    pointer-events: none;
    z-index: 10;
    -webkit-animation: popup 1s ease-in-out 5s forwards;
    animation: popup 1s ease-in-out 5s forwards;
  }
  
  .modal-close-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
  }
  
  .modal-close-btn {
    position: absolute;
    top: 15px;
    right: 15px;
    background: var(--white);
    color: var(--white);
    font-size: 16px;
    padding: 5px;
    -webkit-border-radius: var(--border-radius-sm);
    border-radius: var(--border-radius-sm);
  }
  
  
  
  
  /**
   * POPUP NOTIFICATION 
   */
  
  .toast-close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    color: var(--sonic-silver);
  }
  
  /*-----------------------------------*\
    #HEADER
  \*-----------------------------------*/
  
  .header-top,
  .header-user-actions,
  .desktop-navigation-menu {
    display: none;
  }
  
  .header-main {
    padding: 20px 0;
    border-bottom: 1px solid var(--cultured);
  }
  
  .header-logo {
    margin-bottom: 100;
    text-decoration: none;
  }
  
  .header-logo img {
    margin: auto;
    height: 100px;
    width: 125px;
  }
  
  .header-search-container {
    position: relative;
  }
  
  .header-search-container .search-field {
    font-size: var(--fs-7);
    color: var(--onyx);
    padding: 10px 15px;
    padding-right: 50px;
    border: 1px solid var(--cultured);
    border-radius: var(--border-radius-md);
  }
  
  .search-field::-webkit-search-cancel-button {
    display: none;
  }
  
  .search-btn {
    background: var(--white);
    position: absolute;
    top: 50%;
    right: 2px;
    transform: translateY(-50%);
    color: var(--onyx);
    font-size: 18px;
    padding: 8px 15px;
    border-radius: var(--border-radius-md);
    transition: color var(--transition-timing);
  }
  
  .search-btn:hover {
    color: var(--sky-blue);
  }
  
  .mobile-bottom-navigation {
    background: var(--white);
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 500px;
    margin: auto;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 5px 0;
    box-shadow: 0 0 10px hsla(0, 0%, 0%, 0.25);
    z-index: 5;
  }
  
  .mobile-bottom-navigation .action-btn {
    position: relative;
    font-size: 26px;
    color: var(--eerie-black);
    padding: 10px;
  }
  
  .mobile-bottom-navigation .count {
    background: var(--bittersweet);
    color: var(--white);
    position: absolute;
    top: 0;
    right: 0;
    font-size: 12px;
    font-weight: var(--weight-500);
    line-height: 1;
    padding: 2px 4px;
    border-radius: 20px;
  }
  
  .mobile-navigation-menu {
    background: var(--white);
    position: fixed;
    top: 0;
    left: -100%;
    width: 100%;
    max-width: 320px;
    height: 100vh;
    padding: 20px;
    box-shadow: 0 0 10px hsla(0, 0%, 0%, 0.1);
    overflow-y: scroll;
    overscroll-behavior: contain;
    visibility: hidden;
    transition: 0.5s ease;
    z-index: 20;
  }
  
  .mobile-navigation-menu.active {
    left: 0;
    visibility: visible;
  }
  
  .menu-top {
    padding-bottom: 15px;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 2px solid var(--cultured);
  }
  
  .menu-top .menu-title {
    color: var(--sky-blue);
    font-size: var(--fs-4);
    font-weight: var(--weight-600);
  }
  
  .menu-close-btn {
    color: var(--eerie-black);
    font-size: 22px;
  }
  
  .menu-close-btn ion-icon {
    --ionicon-stroke-width: 50px;
  }
  
  .mobile-menu-category-list {
    margin-bottom: 30px;
  }
  
  .menu-category .accordion-menu {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
  
  .mobile-menu-category-list .menu-category {
    border-bottom: 1px solid var(--cultured);
  }
  
  .mobile-menu-category-list .menu-title {
    color: var(--onyx);
    font-size: var(--fs-6);
    font-weight: var(--weight-500);
    padding: 12px 0;
  }
  
  .accordion-menu > div {
    font-size: 14px;
  }
  
  .accordion-menu ion-icon {
    color: var(--onyx);
    --ionicon-stroke-width: 90px;
  }
  
  .accordion-menu.active .add-icon,
  .accordion-menu .remove-icon {
    display: none;
  }
  
  .accordion-menu .add-icon,
  .accordion-menu.active .remove-icon {
    display: block;
  }
  
  .menu-category .submenu-category-list {
    margin-left: 10px;
  }
  
  .submenu-title {
    padding: 6px 0;
    font-size: var(--fs-6);
    color: var(--sonic-silver);
    font-weight: var(--weight-300);
  }
  
  .submenu-title:hover {
    color: var(--sky-blue);
  }
  
  .submenu-category-list {
    max-height: 0;
    overflow: hidden;
    visibility: hidden;
    transition: 0.5s ease-in-out;
  }
  
  .submenu-category-list.active {
    max-height: 148px;
    visibility: visible;
  }
  
  .menu-bottom .menu-category-list {
    margin-bottom: 20px;
  }
  
  .menu-bottom .menu-category {
    border-bottom: none;
  }
  
  .menu-bottom .menu-title {
    font-size: var(--fs-6);
    font-weight: var(--weight-500);
    color: var(--eerie-black);
    padding: 12px 0;
  }
  
  .accordion-menu.active .caret-back {
    transform: rotate(-0.25turn);
  }
  
  .menu-bottom .submenu-category-list {
    border: 1px solid var(--cultured);
    border-radius: var(--border-radius-md);
    padding: 0 15px;
    margin-left: 0;
    box-shadow: 0 0 10px hsla(0, 0%, 0%, 0.05);
  }
  
  .menu-bottom .submenu-category:not(:last-child) {
    border-bottom: 1px solid var(--cultured);
  }
  
  .menu-social-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
  }
  
  .menu-social-container .social-link {
    background: var(--cultured);
    color: var(--eerie-black);
    font-size: 20px;
    padding: 10px;
    border-radius: var(--border-radius-md);
  }
  /*-----------------------------------*\
    # FIM DO HEADER
  \*-----------------------------------*/
  
  
  

  
  
  
  
  
  
  
  
  
  /*-----------------------------------*\
    #CATEGORIAS
  \*-----------------------------------*/
  
  .category {
    margin-bottom: 30px;
  }
  
  .category-item-container {
    display: flex;
    align-items: center;
    gap: 10px;
    overflow: auto hidden;
    scroll-snap-type: inline mandatory;
    overscroll-behavior-inline: contain;
  }
  
  .category-item {
    min-width: 100%;
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 15px;
    border: 1px solid var(--cultured);
    border-radius: var(--border-radius-md);
    scroll-snap-align: start;
  }
  
  .category-img-box {
    background: var(--cultured);
    border: 1px solid hsl(0, 0%, 80%);
    padding: 10px;
    border-radius: var(--border-radius-sm);
  }
  
  .category-content-box {
    width: 100%;
  }
  
  .category-content-flex {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }
  
  .category-item-title {
    color: var(--eerie-black);
    font-size: var(--fs-9);
    font-weight: var(--weight-600);
    text-transform: uppercase;
  }
  
  .category-item-amount {
    color: var(--sonic-silver);
    font-size: var(--fs-11);
  }
  
  .category-btn {
    color: var(--salmon-pink);
    font-size: var(--fs-9);
    font-weight: var(--weight-500);
    text-transform: capitalize;
  }
  /*-----------------------------------*\
    #FIM DO CATEGORIAS
  \*-----------------------------------*/
  
  
  
  
  
  
  
  
  /*-----------------------------------*\
    #SIDEBAR
  \*-----------------------------------*/
  
  .sidebar {
    background: var(--white);
    position: fixed;
    top: 0;
    left: -100%;
    bottom: 0;
    width: 100%;
    max-width: 320px;
    padding: 30px;
    overflow-y: scroll;
    overscroll-behavior: contain;
    visibility: hidden;
    transition: 0.5s ease;
    z-index: 20;
  }
  
  .sidebar.active {
    left: 0;
    visibility: visible;
  }
  
  .sidebar-category {
    margin-bottom: 15px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--cultured);
  }
  
  .sidebar-top {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }
  
  .sidebar-title {
    color: var(--onyx);
    font-size: var(--fs-5);
    text-transform: uppercase;
    letter-spacing: 0.8px;
    font-weight: var(--weight-600);
  }
  
  .sidebar-close-btn {
    color: var(--eerie-black);
    font-size: 22px;
    font-weight: var(--weight-600);
  }
  
  .sidebar-close-btn ion-icon {
    --ionicon-stroke-width: 50px;
  }
  
  .sidebar-accordion-menu {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 7px 0;
  }
  
  .sidebar .menu-title-flex {
    display: flex;
    align-items: center;
    gap: 10px;
  }
  
  .sidebar .menu-title {
    font-size: var(--fs-5);
    color: var(--sonic-silver);
    font-weight: var(--weight-500);
  }
  
  .sidebar-accordion-menu ion-icon {
    color: var(--sonic-silver);
    font-size: 14px;
    --ionicon-stroke-width: 70px;
  }
  
  .sidebar-submenu-category-list {
    border-top: 1px solid var(--cultured);
    max-height: 0;
    overflow: hidden;
    visibility: hidden;
    transition: 0.5s ease-in-out;
  }
  
  .sidebar-submenu-category-list.active {
    padding: 13px 0 8px;
    max-height: 122px;
    visibility: visible;
  }
  
  .sidebar-submenu-title {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--sonic-silver);
    font-size: var(--fs-7);
    padding: 2px 0;
  }
  
  .sidebar-submenu-title:hover {
    color: var(--eerie-black);
  }
  
  .sidebar .product-name {
    text-transform: capitalize;
  }
  
  .sidebar-accordion-menu.active .add-icon,
  .sidebar-accordion-menu .remove-icon {
    display: none;
  }
  
  .sidebar-accordion-menu .add-icon,
  .sidebar-accordion-menu.active .remove-icon {
    display: block;
  }
  
  .sidebar .showcase-heading {
    font-size: var(--fs-5);
    font-weight: var(--weight-600);
    color: var(--onyx);
    text-transform: uppercase;
    letter-spacing: 0.8px;
    margin-bottom: 15px;
  }
  
  .sidebar .showcase {
    display: flex;
    align-items: center;
    gap: 15px;
  }
  
  .sidebar .showcase:not(:last-child) {
    margin-bottom: 15px;
  }
  
  .sidebar .showcase-img {
    border-radius: var(--border-radius-sm);
  }
  
  .sidebar .showcase-content {
    width: calc(100% - 90px);
  }
  
  .sidebar .showcase-title {
    color: var(--onyx);
    font-size: var(--fs-7);
    font-weight: var(--weight-400);
    text-transform: capitalize;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    letter-spacing: 0.5px;
  }
  
  .sidebar .showcase-rating {
    display: flex;
    align-items: center;
    color: var(--sandy-brown);
    font-size: 13px;
    padding: 4px 0;
  }
  
  .sidebar .price-box {
    display: flex;
    align-items: center;
    gap: 15px;
  }
  
  .sidebar .price-box del {
    color: var(--sonic-silver);
    font-size: 13px;
  }
  
  .sidebar .price-box .price {
    font-size: var(--fs-7);
    font-weight: var(--weight-600);
    color: var(--davys-gray);
  }
  /*-----------------------------------*\
    #FIM DO SIDEBAR
  \*-----------------------------------*/
  
  
  /*-----------------------------------*\
    #FOOTER
  \*-----------------------------------*/
  
  footer {
    background: var(--eerie-black);
    padding: 30px 0;
  }
  
  .footer-category {
    margin-bottom: 30px;
    padding-bottom: 15px;
    border-bottom: 1px solid var(--onyx);
  }
  
  .footer-category-title {
    color: var(--salmon-pink);
    font-size: var(--fs-6);
    font-weight: var(--weight-600);
    text-transform: uppercase;
    margin-bottom: 15px;
  }
  
  .footer-category-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;
    column-gap: 20px;
    row-gap: 3px;
    margin-bottom: 15px;
  }
  
  .category-box-title {
    color: var(--spanish-gray);
    font-size: var(--fs-8);
    font-weight: var(--weight-600);
    text-transform: uppercase;
  }
  
  .footer-category-link {
    position: relative;
    color: var(--sonic-silver);
    font-size: var(--fs-7);
    text-transform: capitalize;
    transition: var(--transition-timing);
  }
  
  .footer-category-link:hover {
    color: var(--spanish-gray);
  }
  
  .footer-category-link:not(:last-child)::after {
    position: absolute;
    content: "";
    top: 3px;
    right: -10px;
    background: var(--sonic-silver);
    width: 1px;
    height: 15px;
  }
  
  /**
   * footer nav 
   */
  
  .footer-nav {
    border-bottom: 1px solid var(--onyx);
    padding-bottom: 30px;
    margin-bottom: 30px;
  }
  
  .footer-nav-list:not(:last-child) {
    margin-bottom: 20px;
  }
  
  .footer-nav .nav-title {
    position: relative;
    color: var(--white);
    font-size: var(--fs-7);
    text-transform: uppercase;
    margin-bottom: 15px;
    padding-bottom: 5px;
  }
  
  .footer-nav .nav-title::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    background: var(--sky-blue);
    width: 60px;
    height: 1px;
  }
  
  .footer-nav-item {
    padding: 3px 0;
  }
  
  .footer-nav-link,
  .footer-nav-item .content {
    width: max-content;
    color: var(--sonic-silver);
    font-size: var(--fs-7);
    text-transform: capitalize;
    transition: var(--transition-timing);
  }
  
  .footer-nav-link:hover {
    color: var(--sky-blue);
  }
  
  .footer-nav-item.flex {
    display: flex;
    align-items: flex-start;
    gap: 10px;
  }
  
  .footer-nav-item .content {
    font-style: normal;
    margin-bottom: 5px;
  }
  
  .footer-nav-item .icon-box {
    color: var(--sonic-silver);
    font-size: 25px;
  }
  
  .footer-nav-item .icon-box ion-icon {
    --ionicon-stroke-width: 30px;
  }
  
  .footer-nav .social-link {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
  }
  
  .social-link .footer-nav-link {
    font-size: 25px;
  }
  
  .footer-bottom {
    margin-bottom: 50px;
    text-align: center;
  }
  
  .payment-img {
    max-width: 335px;
    width: 100%;
    margin: auto;
    margin-bottom: 15px;
  }
  
  .copyright {
    color: var(--sonic-silver);
    font-size: var(--fs-8);
    font-weight: var(--weight-500);
    text-transform: capitalize;
    letter-spacing: 1.2px;
  }
  
  .copyright a {
    display: inline;
    color: inherit;
  }
  
  /*-----------------------------------*\
    # FIM DO FOOTER
  \*-----------------------------------*/
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  
  /*-----------------------------------*\
    #RESPONSIVIDADE
  \*-----------------------------------*/
  
  /**
   * responsive larger than 480px screen
   */
  
  @media (min-width: 480px) {
    /**
     * #CUSTOM PROPERTY
     */
  
    :root {
      /**
       * typography 
       */
  
      --fs-1: 1.875rem;
    }
  
    /**
     * #HEADER
     */
  
    .header-top {
      display: block;
      padding: 10px 0;
      border-bottom: 1px solid var(--cultured);
    }
  
    .header-social-container,
    .header-top-actions {
      display: none;
    }
  
    .header-alert-news {
      color: var(--sonic-silver);
      font-size: var(--fs-9);
      text-transform: uppercase;
    }
  
    .header-alert-news b {
      font-weight: var(--weight-500);
    }
  
    .header-main {
      padding: 25px 0;
    }
  
    .mobile-bottom-navigation {
      border-top-left-radius: var(--border-radius-md);
      border-top-right-radius: var(--border-radius-md);
    }
  
    /**
     * #BANNER
     */
  
    .slider-item{
      aspect-ratio: 5 / 3;
    }
  
    .banner-content {
      top: 50%;
      right: auto;
      bottom: auto;
      transform: translateY(-50%);
      max-width: 320px;
    }
  
    .banner-subtitle {
      --fs-7: 1rem;
    }
  
    .banner-text {
      display: block;
      color: var(--sonic-silver);
      font-size: var(--fs-7);
      font-weight: var(--weight-500);
      margin-bottom: 10px;
    }
  
    .banner-text b {
      font-size: var(--fs-2);
    }
  
    .banner-btn {
      padding: 7px 20px;
    }
  
    /**
     * #PRODUCT 
     */
  
    .product-grid {
      grid-template-columns: 1fr 1fr;
      gap: 30px;
    }
  
    /**
     * #CTA
     */
  
    .cta-content {
      padding: 40px;
    }
  
    .cta-content .discount {
      --fs-11: 0.875rem;
      padding: 5px 10px;
    }
  
    .cta-title {
      --fs-5: 1.5rem;
    }
  
    .cta-text {
      --fs-7: 1rem;
    }
  
    .cta-btn {
      --fs-9: 1rem;
    }
  
    /**
     * #FOOTER
     */
  
    .copyright {
      --fs-8: 0.875rem;
    }
  }
  
  /**
   * responsive larger than 570px screen
   */
  
  @media (min-width: 570px) {
    /**
     * #HEADER
     */
  
    .header-top .container,
    .header-main .container {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
  
    .header-logo {
      margin-bottom: 0;
    }
  
    .header-top-actions {
      display: flex;
      align-items: center;
      gap: 10px;
    }
  
    .header-top-actions select {
      border: none;
      display: block;
      min-width: 80px;
      padding: 5px 0;
      font: inherit;
      color: var(--sonic-silver);
      font-size: var(--fs-8);
      text-transform: uppercase;
      cursor: pointer;
      transition: var(--transition-timing);
    }
  
    .header-top-actions select:hover {
      color: var(--eerie-black);
    }
  
    .header-search-container {
      min-width: 300px;
    }
  
    /**
     * #BANNER
     */
  
    .slider-item {
      aspect-ratio: 4 / 2;
    }
  
    .banner-content {
      background: none;
    }
  
    /**
     * #CATEGORY
     */
  
    .category-item-container {
      gap: 30px;
    }
  
    .category-item {
      min-width: calc(50% - 15px);
    }
  
    /**
     * #PRODUCT
     */
  
    .product-minimal .showcase-container {
      min-width: 50%;
    }
  
    .product-featured .showcase-img {
      max-width: 450px;
      margin: auto;
    }
  
    .product-featured .countdown {
      gap: 20px;
    }
  
    /**
     * #CTA
     */
  
    .cta-container {
      aspect-ratio: 6 / 5;
    }
  
    /**
     * #BLOG
     */
  
    .blog-container {
      gap: 30px;
    }
  
    .blog-card {
      min-width: calc(50% - 15px);
    }
  }
  
  /**
   * responsive larger than 768px screen
   */
  
  @media (min-width: 768px) {
    /**
     * #CUSTOM PROPERTY
     */
  
    :root {
      /**
       * typography 
       */
  
      --fs-1: 2.375rem;
    }
  
    /**
     * #BASE 
     */
  
    html {
      font-size: 17px;
    }
  
    /**
     * #REUSED STYLE 
     */
  
    .container {
      max-width: 750px;
      margin: auto;
    }
  
    /**
     * #HEADER 
     */
  
    .header-main .container {
      gap: 80px;
    }
  
    .header-search-container {
      flex-grow: 1;
    }
  
    /**
     * #BANNER 
     */
  
    .slider-item {
      aspect-ratio: auto;
      height: 350px;
    }
  
    .banner-content {
      max-width: 380px;
    }
  
    .banner-subtitle {
      --fs-7: 1.25rem;
    }
  
    .banner-text {
      --fs-7: 1.125rem;
    }
  
    .banner-text b {
      --fs-2: 1.875rem;
    }
  
    .banner-btn {
      --fs-11: 0.75rem;
    }
  
    /**
     * #CATEGORY 
     */
  
    .category-img-box {
      padding: 20px;
    }
  
    /**
     * #PRODUCT 
     */
  
    .product-minimal {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      gap: 20px;
    }
  
    .product-minimal .product-showcase {
      min-width: calc(50% - 10px);
      width: calc(50% - 10px);
    }
  
    .product-minimal .showcase-container {
      min-width: 100%;
    }
  
    .product-featured .showcase {
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 20px;
    }
  
    .product-featured .showcase-img {
      max-width: fit-content;
    }
  
    .product-featured .showcase-content {
      margin-top: 0;
      min-width: calc(100% - 345px);
    }
  
    /**
     * #FOOTER 
     */
  
    .footer-nav .container {
      display: flex;
      flex-wrap: wrap;
      row-gap: 50px;
      column-gap: 20px;
    }
  
    .footer-nav-list {
      min-width: calc(33.33% - 15px);
      width: calc(33.33% - 15px);
      flex-grow: 1;
    }
  
    .footer-nav-list:not(:last-child) {
      margin-bottom: 0;
    }
  }
  
  /**
   * responsive larger than 1024px screen
   */
  
  @media (min-width: 1024px) {
    /**
     * #CUSTOM PROPERTY
     */
  
    :root {
      /**
       * typography 
       */
  
      --fs-1: 2.625rem;
      --fs-2: 1.125rem;
    }
  
    /**
     * #REUSED STYLE 
     */
  
    .container {
      max-width: 980px;
    }
  
    /**
     * #NOTIFICATION TOAST 
     */
  
    .notification-toast {
      bottom: 30px;
    }
  
    /**
     * #HEADER 
     */
  
    .header-social-container {
      display: flex;
      align-items: center;
      gap: 5px;
    }
  
    .header-social-container .social-link {
      padding: 5px;
      background: hsl(0, 0%, 95%);
      border-radius: var(--border-radius-sm);
      color: var(--sonic-silver);
      transition: var(--transition-timing);
    }
  
    .header-social-container .social-link:hover {
      background: var(--sky-blue);
      color: var(--white);
    }
  
    .header-user-actions {
      display: flex;
      align-items: center;
      gap: 15px;
    }
  
    .header-user-actions .action-btn {
      position: relative;
      font-size: 35px;
      color: var(--onyx);
      padding: 5px;
    }
  
    .header-user-actions .count {
      position: absolute;
      top: -2px;
      right: -3px;
      background: var(--bittersweet);
      color: var(--white);
      font-size: 12px;
      font-weight: var(--weight-500);
      line-height: 1;
      padding: 2px 4px;
      border-radius: 20px;
    }
  
    .desktop-navigation-menu {
      display: block;
    }
  
    .desktop-menu-category-list {
      position: relative;
      display: flex;
      justify-content: center;
      align-items: center;
      gap: 30px;
    }
  
    .desktop-menu-category-list .menu-category:not(:nth-child(2)) {
      position: relative;
    }
  
    .desktop-menu-category-list .menu-category > .menu-title {
      position: relative;
      color: var(--onyx);
      font-size: var(--fs-7);
      font-weight: var(--weight-600);
      text-transform: uppercase;
      padding: 15px 0;
      transition: var(--transition-timing);
    }
  
    .desktop-menu-category-list .menu-category > .menu-title:hover {
      color: var(--sky-blue);
    }
  
    .desktop-menu-category-list .menu-category > .menu-title::after {
      content: "";
      position: absolute;
      bottom: 0;
      left: 0;
      width: 100%;
      height: 2px;
      background: var(--sky-blue);
      transform: scaleX(0);
      transform-origin: left;
      transition: var(--transition-timing);
    }
  
    .desktop-menu-category-list .menu-category > .menu-title:hover::after {
      transform: scaleX(1);
    }
  
    .dropdown-panel {
      position: absolute;
      top: 100%;
      left: 0;
      background: var(--white);
      width: 100%;
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      gap: 30px;
      padding: 30px;
      border: 1px solid var(--cultured);
      box-shadow: 0 3px 5px hsla(0, 0%, 0%, 0.1);
      border-radius: var(--border-radius-md);
      transform: translateY(50px);
      opacity: 0;
      visibility: hidden;
      pointer-events: none;
      transition: var(--transition-timing);
      z-index: 5;
    }
  
    .desktop-menu-category-list .menu-category:hover > .dropdown-panel {
      transform: translateY(0);
      opacity: 1;
      visibility: visible;
      pointer-events: all;
    }
  
    .dropdown-panel-list .menu-title a {
      color: var(--onyx);
      font-size: var(--fs-7);
      font-weight: var(--weight-600);
      padding-bottom: 10px;
      border-bottom: 1px solid var(--cultured);
      margin-bottom: 10px;
    }
  
    .panel-list-item a {
      color: var(--sonic-silver);
      font-size: var(--fs-7);
      text-transform: capitalize;
      transition: var(--transition-timing);
    }
  
    .panel-list-item a:hover {
      color: var(--salmon-pink);
    }
  
    .panel-list-item:not(:last-child) a {
      padding: 4px 0;
    }
  
    .panel-list-item:last-child {
      margin-top: 20px;
    }
  
    .panel-list-item img {
      width: 100%;
      height: auto;
      border-radius: var(--border-radius-sm);
    }
  
    .dropdown-list {
      position: absolute;
      top: 100%;
      left: 0;
      width: 200px;
      background: var(--white);
      padding: 20px 0;
      border-radius: var(--border-radius-md);
      border: 1px solid var(--cultured);
      box-shadow: 0 3px 5px hsla(0, 0%, 0%, 0.1);
      transform: translateY(50px);
      opacity: 0;
      visibility: hidden;
      pointer-events: none;
      transition: var(--transition-timing);
      z-index: 5;
    }
  
    .desktop-menu-category-list .menu-category:hover > .dropdown-list {
      transform: translateY(0);
      opacity: 1;
      visibility: visible;
      pointer-events: all;
    }
  
    .dropdown-list .dropdown-item a {
      color: var(--sonic-silver);
      font-size: var(--fs-7);
      text-transform: capitalize;
      padding: 4px 20px;
      transition: var(--transition-timing);
    }
  
    .dropdown-list .dropdown-item a:hover {
      color: var(--salmon-pink);
    }
  
    .mobile-bottom-navigation {
      display: none;
    }
  
    /**
     * #BANNER 
     */
  
    .banner {
      margin-top: 0;
    }
  
    .slider-item {
      height: 380px;
    }
  
    .banner-content {
      left: 75px;
      max-width: 400px;
    }
  
    .banner-subtitle {
      --fs-7: 1.625rem;
    }
  
    .banner-text {
      --fs-7: 1.375rem;
    }
  
    .banner-btn {
      --fs-11: 0.875rem;
    }
  
    /**
     * #CATEGORY 
     */
  
    .category-item {
      min-width: calc(33.33% - 20px);
    }
  
    .category-img-box {
      padding: 10px;
    }
  
    /**
     * #PRODUCT 
     */
  
    .product-container .container {
      position: relative;
      display: flex;
      align-items: flex-start;
      gap: 30px;
      margin-bottom: 30px;
    }
  
    .sidebar {
      --fs-5: 0.941rem;
  
      position: sticky;
      top: 30px;
      left: 0;
      padding: 0;
      min-width: calc(25% - 15px);
      margin-bottom: 30px;
      visibility: visible;
      overflow-y: auto;
      overscroll-behavior: auto;
      z-index: 0;
    }
  
    .sidebar-category {
      padding: 20px;
      margin-bottom: 30px;
      border: 1px solid var(--cultured);
      border-radius: var(--border-radius-md);
    }
  
    .sidebar-close-btn {
      display: none;
    }
  
    .product-box {
      min-width: calc(75% - 15px);
    }
  
    .product-minimal {
      margin-bottom: 20px;
    }
  
    .product-minimal .product-showcase {
      min-width: calc(33.33% - 14px);
      width: calc(33.33% - 14px);
      flex-grow: 1;
    }
  
    .product-minimal .showcase-wrapper {
      gap: 10px;
    }
  
    .product-minimal .showcase-container {
      padding: 2px;
    }
  
    .product-featured .countdown-content {
      padding: 5px 10px;
    }
  
    .product-grid {
      grid-template-columns: repeat(3, 1fr);
    }
  
    /**
     * #FOOTER
     */
  
    .footer-nav-list {
      min-width: calc(20% - 16px);
      width: calc(20% - 16px);
    }
  
    .footer-nav-list:last-child {
      display: none;
    }
  
    .footer-bottom {
      margin-bottom: 0;
    }
  }
  
  /**
   * responsive larger than 1200px screen
   */
  
  @media (min-width: 1200px) {
    /**
     * #REUSED STYLE 
     */
  
    .container {
      max-width: 1200px;
    }
  
    /**
     * #HEADER
     */
  
    .desktop-menu-category-list {
      gap: 45px;
    }
  
    /**
     * #BANNER
     */
  
    .slider-item:last-child .banner-img {
      object-position: top;
    }
  
    /**
     * #CATEGORY
     */
  
    .category-item {
      min-width: calc(25% - 22.5px);
    }
  
    .category-item-title {
      --fs-9: 0.824rem;
    }
  
    /**
     * #PRODUCT
     */
  
    .product-featured .showcase > div {
      min-width: calc(50% - 10px);
    }
  
    .product-featured .display-number {
      --fs-5: 1.125rem;
    }
  
    .product-grid {
      grid-template-columns: repeat(4, 1fr);
    }
  
    /**
     * #FOOTER
     */
  
    footer {
      padding-top: 50px;
    }
  
    .footer-category {
      margin-bottom: 50px;
      padding-bottom: 35px;
    }
  
    .footer-nav {
      padding-bottom: 50px;
    }
  }
  
  /**
   * responsive larger than 1400px screen
   */
  
  @media (min-width: 1400px) {
    /**
     * #BASE 
     */
  
    html {
      font-size: 18px;
    }
  
    /**
     * #REUSED STYLE 
     */
  
    .container {
      max-width: 1350px;
    }
  
    /**
     * #BANNER
     */
  
    .slider-item {
      height: 450px;
    }
  
    .banner-content {
      left: 110px;
      max-width: 460px;
    }
  }
  






































* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat' sans-serif;

}

/*
        CORPO 
    */

input[type='file'] {
    display: none;
}

.max-width {
    max-width: 500px;
    width: 100%;
    margin-left: 45%;
}

#imgPhoto {
    margin-top: 10%;
    width: 120px;
    height: 120px;
    padding: 10px;
    background-color: #eee;
    border: 5px solid #ccc;
    border-radius: 10%;
    cursor: pointer;
    transition: background .3s;
}

#imgPhoto:hover {
    background-color: rgb(180, 180, 180);
    border: 5px solid #111;
}

.btn-default {
    border-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0);
    color: #4E5155;
}

label.btn {
    margin-bottom: 0;
}

.btn-outline-primary {
    border-color: #26B4FF;
    background: transparent;
    color: #26B4FF;
}

.btn {
    cursor: pointer;
}

.text-light {
    color: #000000 !important;
}

.btn-twitter {
    border-color: rgba(0, 0, 0, 0);
    background: #000000;
    color: #fff;
}

.btn-google {
    border-color: rgba(0, 0, 0, 0);
    background: #3366d3;
    color: #fff;
}

.btn-facebook {
    border-color: rgba(0, 0, 0, 0);
    background: #3B5998;
    color: #fff;
}

.btn-instagram {
    border-color: rgba(0, 0, 0, 0);
    background: #d109a9;
    color: #fff;
}

.card {
    background-clip: padding-box;
    box-shadow: 0 1px 4px rgba(24, 28, 33, 0.012);
}

.row-bordered {
    overflow: hidden;
}

.account-settings-fileinput {
    position: absolute;
    visibility: hidden;
    width: 1px;
    height: 1px;
    opacity: 0;
}

.account-settings-links .list-group-item.active {
    font-weight: bold !important;
}

html:not(.dark-style) .account-settings-links .list-group-item.active {
    background: transparent !important;
}

.account-settings-multiselect~.select2-container {
    width: 100% !important;
}

.light-style .account-settings-links .list-group-item {
    padding: 0.85rem 1.5rem;
    border-color: rgba(24, 28, 33, 0.03) !important;
}

.light-style .account-settings-links .list-group-item.active {
    color: #000000 !important;
}

.material-style .account-settings-links .list-group-item {
    padding: 0.85rem 1.5rem;
    border-color: rgba(24, 28, 33, 0.03) !important;
}

.material-style .account-settings-links .list-group-item.active {
    color: #000000 !important;
}

.dark-style .account-settings-links .list-group-item {
    padding: 0.85rem 1.5rem;
    border-color: rgba(255, 255, 255, 0.03) !important;
}

.dark-style .account-settings-links .list-group-item.active {
    color: #fff !important;
}

.light-style .account-settings-links .list-group-item.active {
    color: #000000 !important;
}

.light-style .account-settings-links .list-group-item {
    padding: 0.85rem 1.5rem;
    border-color: rgba(24, 28, 33, 0.03) !important;
}